{Tera Term
 Copyright(C) 1994-1996 T. Teranishi
 All rights reserved.}

{Constants and types for TEK window}
unit TEKTypes;

interface

uses WinTypes;

const
  ViewSizeX = 4096;
  ViewSizeY = 3120;

  CurWidth = 2;

  cm_FilePrint = 1110;
  cm_FileExit = 1190;
  cm_EditCopyScreen = 1210;
  cm_EditClearScreen = 1220;
  cm_EditPasteCR = 230;
  cm_SetupWindow = 1310;
  cm_SetupFont = 1320;
  cm_VTWin = 1410;
  cm_HelpIndex = 910;
  cm_HelpUsing = 920;
  cm_About = 990;
  cm_ShowMenubar = 995;

  IdTEKIcon = 300;
  Id_TEKMenu = 200;

  IdAlphaMode = 0;
  IdVectorMode = 1;
  IdPlotMode = 2;
  IdUnknownMode = 3;

  ModeFirst = 0;
  ModeEscape = 1;
  ModeSelectCode = 2;
  Mode2OC = 3;

  IdUnknown2OC = 0;
  IdMove = ord('L')*256+ord('F');
  IdDraw = ord('L')*256+ord('G');
  IdSetLineIndex = ord('M')*256+ord('L');
  IdSetTextIndex = ord('M')*256+ord('T');
  IdSetLineStyle = ord('M')*256+ord('V');

type

  PTEKVar = ^TTEKVar;
  TTEKVar = record
    HWin: HWnd;

    MainMenu, EditMenu, PopupMenu, PopupBase: HMenu;

    Drawing: boolean;
    ParseMode: integer;
    SelectCodeFlag: integer;

    TEKLogFont: TLogFont;
    TEKFont: array[0..3] of HFont;
    OldMemFont: HFont;
    Dx: array[0..1] of integer;
    AdjustSize, ScaleFont: boolean;
    ScreenWidth, ScreenHeight: integer;
    FontWidth, FontHeight: integer;
    FW, FH: array[0..3] of integer;
    CaretX, CaretY: integer;
    CaretOffset: integer;
    TextSize: integer;
    DispMode: integer;
    HiY, Extra, LoY, HiX, LoX: byte;   
    MemDC : HDC;
    HBits, OldMemBmp: HBitmap;
    Active, Minimized, MoveFlag: boolean;
    R: TRect;
    TextColor, PenColor: TColorRef;
    MemForeColor, MemBackColor, MemTextColor, MemPenColor: TColorRef;
    BackGround, MemBackGround: HBrush;
    Pen, MemPen, OldMemPen: HPen;
    ps: integer;
    ChangeEmu: integer;
    CaretStatus: integer;


    ButtonDown, Select, RubberBand: boolean;
    SelectStart: TPoint;
    SelectEnd: TPoint;

    GIN, CrossHair: boolean;
    IgnoreCount: integer;
    GINX, GINY: integer;

    {flags for Drawing}
    LoXReceive: boolean;
    LoCount: integer;
    LoA, LoB: byte;

    {variables for 2OC mode}

    OpCount, PrmCount, PrmCountMax: integer;
    Op2OC: word;
    Prm2OC: word;

    {plot mode}
    JustAfterRS, PenDown: boolean;
    PlotX, PlotY: integer;
  end;

implementation

end.